Bug 129104 - kernel-2.6.7-1.494.2.2 breaks airo_cs
Summary: kernel-2.6.7-1.494.2.2 breaks airo_cs
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
(Show other bugs)
Version: 2
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Dave Jones
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-08-04 02:25 UTC by Matthew Saltzman
Modified: 2015-01-04 22:08 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-27 22:51:20 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Matthew Saltzman 2004-08-04 02:25:58 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7)
Gecko/20040706 Firefox/0.9.1

Description of problem:
Loading this kernel on my Thinkpad T41 with Cisco Airo 350 mini-pci, 
boot hangs when enabling eth1.  No error message appears, and it's too
early to get messages in the log.  Three-finger salute initiates reboot.
The indicator light flashes rapidly.

Everything was working fine with kernel-2.6.6-1.435.2.3.  The card
currently has firmware 5.00.03.

Version-Release number of selected component (if applicable):
kernel-2.6.7-1.494.2.2

How reproducible:
Always

Steps to Reproduce:
1. Install kernel-2.6.7-1.494.2.2
2. Boot kernel-2.6.7-1.494.2.2 on a machine with a properly-configured
and working airo minipci card.
3.
    

Actual Results:  Hangs when starting eth1.  Wireless indicator light
flashes rapidly.

Expected Results:  Starts eth1 successfully.  Wireless indicator
flashes slowly.

Additional info:

Comment 1 Mirko Zeibig 2004-08-10 13:32:43 UTC
I have a Thinkpad R40 and a Cisco Airo 350 mini-pci with Firmware 
Version: 5b00.08 and using the same kernel the computer will boot 
but is not able to use the card correctly. I got it working using 
kernel-2.6.5-1.358.  
When trying to unload the module on 2.6.7 I get: 
Aug 10 10:47:42 borg kernel: airo: Unregistering eth1 
Aug 10 10:47:42 borg net.agent[4198]: remove event not handled 
Aug 10 10:47:52 borg kernel: unregister_netdevice: waiting for eth1 
to become free. Usage count = 7 
 
 
Regards 
Mirko 

Comment 2 Matthew Saltzman 2004-08-20 13:30:46 UTC
My problem persists with kernel-2.6.8-1.521.  Starting eth1 at boot
results in a hang with the indicator light flashing rapidly.  Starting
by hand after boot completes works fine.  kernel-2.6.6-1.435.2.3 works
fine.

Comment 3 Matthew Saltzman 2004-09-06 16:11:38 UTC
This problem appears to be related to Bug #112824 and some others
regarding hardware initialization and hotplugging.  Following the
suggestion there, I upgraded initscripts to initscripts-7.77-1 from
the development tree (and mkinitrd to the devel mkinitrd-4.1.9-1 to
satisfy the dependency).  Now eth1 starts properly on boot.

Is the proper action to mark this as a dup of 112824?  Also that bug
is listed as an RFE, but it seems like it ought to be a bugfix and
rolled out as an update.

Comment 4 Dave Jones 2004-11-27 22:34:12 UTC
mass update for old bugs:

Is this still a problem in the 2.6.9 based kernel update ?


Comment 5 Matthew Saltzman 2004-11-27 22:46:48 UTC
Works perfectly in FC3.


Note You need to log in before you can comment on or make changes to this bug.